# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_types.h File Reference

`#include <libdirac_common/common_types.h>`

Include dependency graph for dirac_types.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- struct dirac_rational_t
- struct dirac_parseparams_t
- struct dirac_seqparams_t
- struct dirac_clean_area_t
- struct dirac_signal_range_t
- struct dirac_col_matrix_t
- struct dirac_colour_spec_t
- struct dirac_sourceparams_t
- struct dirac_frameparams_t
- struct dirac_framebuf_t

## Defines

- #define DllExport

## Typedefs

- typedef ChromaFormat dirac_chroma_t
- typedef FrameType dirac_frame_type_t
- typedef ReferenceType dirac_reference_type_t
- typedef WltFilter dirac_wlt_filter_t
- typedef dirac_rational_t dirac_frame_rate_t
- typedef dirac_rational_t dirac_asr_t
- typedef ColourPrimaries dirac_col_primaries_t
- typedef TransferFunction dirac_transfer_func_t

## Define Documentation

#define DllExport

This file contains common enumerated types used throughout the end user interfaces to the encoder and decoder

## Typedef Documentation

typedef dirac_rational_t dirac_asr_t

typedef ChromaFormat dirac_chroma_t

typedef ColourPrimaries dirac_col_primaries_t

typedef dirac_rational_t dirac_frame_rate_t

typedef FrameType dirac_frame_type_t

typedef ReferenceType dirac_reference_type_t

typedef TransferFunction dirac_transfer_func_t

typedef WltFilter dirac_wlt_filter_t

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.